Debian Bug report logs - #521824
live-helper: lh config call produces wrong configurations compared to lh_config

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: fabo@debian.org

Date: Mon, 30 Mar 2009 09:57:01 UTC

Severity: important

Found in version live-helper/1.0.4-1

Fixed in version live-helper/1.0.5-2

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#521824; Package live-helper. (Mon, 30 Mar 2009 09:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to fabo@debian.org:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 30 Mar 2009 09:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fathi BOUDRA <fabo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: lh config call produces wrong configurations compared to lh_config
Date: Mon, 30 Mar 2009 11:49:01 +0200
[Message part 1 (text/plain, inline)]
Package: live-helper
Version: 1.0.4-1    
Severity: important

Hi,

lh config doesn't produce the same configuration as lh_config.
lh config produces buggy configurations.

to reproduce:
cd lh-config && lh config --bootappend "1 2 3 4 5"
cd lh_config && lh_config --bootappend "1 2 3 4 5"

diff -Nur lh_config lh-config
diff -Nur lh_config/config/binary lh-config/config/binary
--- lh_config/config/binary     2009-03-30 11:42:50.000000000 +0200
+++ lh-config/config/binary     2009-03-30 11:42:40.000000000 +0200
@@ -18,7 +18,7 @@

 # $LH_BOOTAPPEND_INSTALL: set boot parameters
 # (Default: empty)
-LH_BOOTAPPEND_INSTALL="1 2 3 4 5"
+LH_BOOTAPPEND_INSTALL="1"

 # $LH_BOOTLOADER: set bootloader
 # (Default: syslinux)

cheers,

Fathi

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  cdebootstrap                  0.5.4      Bootstrap a Debian system
ii  debootstrap                   1.0.12     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-6     GNU Internationalization 
utilities

Versions of packages live-helper suggests:
ii  fakeroot       1.12.2                    Gives a fake root environment
ii  genisoimage    9:1.1.9-1                 Creates ISO-9660 CD-ROM filesystem
ii  grub           0.97-47lenny2             GRand Unified Bootloader (Legacy v
ii  parted         1.8.8.git.2008.03.24-11.1 The GNU Parted disk partition 
resi
ii  squashfs-tools 1:3.3-7                   Tool to create and append to 
squas
ii  sudo           1.6.9p17-2                Provide limited super user 
privile
ii  uuid-runtime   1.41.3-1                  universally unique id library

-- no debconf information
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#521824; Package live-helper. (Mon, 15 Jun 2009 10:13:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 15 Jun 2009 10:14:01 GMT) Full text and rfc822 format available.

Message #10 received at 521824@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 521824@bugs.debian.org
Subject: Re: live-helper: lh config call produces wrong configurations compared to lh_config
Date: Mon, 15 Jun 2009 11:59:18 +0200
tags 521824 +pending
thanks

fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 15 Jun 2009 10:15:26 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 04 Sep 2009 22:21:07 GMT) Full text and rfc822 format available.

Notification sent to fabo@debian.org:
Bug acknowledged by developer. (Fri, 04 Sep 2009 22:21:07 GMT) Full text and rfc822 format available.

Message #17 received at 521824-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 521824-close@bugs.debian.org
Subject: Bug#521824: fixed in live-helper 1.0.5-2
Date: Fri, 04 Sep 2009 21:56:36 +0000
Source: live-helper
Source-Version: 1.0.5-2

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0.5-2.diff.gz
  to pool/main/l/live-helper/live-helper_1.0.5-2.diff.gz
live-helper_1.0.5-2.dsc
  to pool/main/l/live-helper/live-helper_1.0.5-2.dsc
live-helper_1.0.5-2_all.deb
  to pool/main/l/live-helper/live-helper_1.0.5-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 521824@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 04 Sep 2009 13:21:04 +0200
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0.5-2
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 521824 536230 543868 544512
Changes: 
 live-helper (1.0.5-2) unstable; urgency=low
 .
   [ Cody A.W. Somerville ]
   * Reflect addition of the ubuntu mode and add missing contents where
     marked FIXME in lh_config manpage.
 .
   [ Daniel Baumann ]
   * Preserve quoting in lh when passing through to sub commands (Closes:
     #521824).
   * Outputting usage if lh is called without argument.
   * Adding example hook to allow hal automounting local partitions.
 .
   [ Cody A.W. Somerville ]
   * Simplifying template precedence.
 .
   [ Daniel Baumann ]
   * Using common prefix for packages lists of packaging teams.
   * Updating version and date in manpage headers.
   * Exclude di-utils-exit-installer from udeb_exclude, we want it on the
     images on purpose.
   * Correcting spelling typo in hal-automount.sh, thanks to Martin
     Engelmann <martin.engelmann@gmx.de>.
   * Installing gdm after lxde in lxde package list in order to not pull
     in gnome depends uselessly, thanks to Fabian Greffrath
     <greffrath@leat.rub.de> (Closes: #536230).
   * Correcting typo in default values assignment of losetup functions.
   * Avoid using HOSTNAME variable in order to not get false positives
     from checkbashism.
   * Cosmetical simplification of debian-installer DESTDIR assignement,
     thanks to Cody A.W. Somerville <cody.somerville@canonical.com>.
   * Updating ubuntu specific package preselection.
   * Removing config stage file on purge, if the user is using an auto
     script to generate the config.
 .
   [ Chris Lamb ]
   * Support LH_BOOTSTRAP_FLAVOUR="standard" when using debootstrap
   * Fix usb-hdd d-i installation.
   * Remove potentially-expanding architecture list by making current x86
     vars the fallback.
   * Update my email address.
   * Generate correct bootappend line for preseed/live-installer/usb-hdd
     combination.
   * Add replace-di-banner.sh example hook to replace the graphical d-i
     banner.
 .
   [ Daniel Baumann ]
   * Marking replace-di-banner.sh executable and adjust line wrapping.
 .
   [ Chris Lamb ]
   * Fix s/coppy/copy/ typo
 .
   [ Daniel Baumann ]
   * Including archive trace into .disk meta information.
   * Consistenly installing gdm later than the desktop packages in order
     to ensure non-inflated installs.
   * Replacing policy-rc.d text that is used by sbuild too.
   * Setting binary mirror default to cdn.debian.net.
   * Setting bootstrap mirror default to ftp.de.debian.org,
     ftp.us.debian.orgs is too unreliable (round-robin out of sync).
   * Adding example hook from Rui Miguel Bernardo
     <rui.bernardo.pt@gmail.com> to use home on a seperated luks
     encrypted partition.
   * Improving replace-di-banner example hook.
   * Adding localepurge example hook.
   * Simplyfing localepurge hook.
   * Applying patch from Chris Leick <c.leick@vollbio.de> to fix some
     spelling typos in the manpages (Closes: #543868).
   * Adding German manpage translations from Chris Leick
     <c.leick@vollbio.de> (Closes: #544512).
 .
   [ Cody A.W. Somerville ]
   * Fix build failure when retrying build at deconfiguring file
     /bin/hostname.
   * Add option to disable use of GTK debian-installer.
 .
   [ Rui Miguel Bernardo ]
   * Correcting some rough edges in lukshome example hook.
 .
   [ Daniel Baumann ]
   * Updating kernel defaults for squeeze (removing squashfs, not
     required anymore).
   * Adding a message about which hook made a build fail, if any.
   * Updating lenny point release number.
Checksums-Sha1: 
 4ca64691c1fd21092e829c7dbbf33114f5476d70 1239 live-helper_1.0.5-2.dsc
 61f6932bd5517d68f6ff385186c26ec79609ddec 97254 live-helper_1.0.5-2.diff.gz
 703ab007674a5cd88eb1e8c8b4332dd22904e576 2889936 live-helper_1.0.5-2_all.deb
Checksums-Sha256: 
 e099f856abbe795b75cc776319b59eff33bc86c20b2cfe16a2b264ca6d2c8ece 1239 live-helper_1.0.5-2.dsc
 07268a3e3606720bb7bf82cc134996a2d23ff065c451fcd656479f63460759d0 97254 live-helper_1.0.5-2.diff.gz
 b74022c837bf80a6a37e2562b44371617a7b9d4d6b0e94494e82ef94bd94414d 2889936 live-helper_1.0.5-2_all.deb
Files: 
 43151056cb5b5a1259287e05feea7cb5 1239 misc optional live-helper_1.0.5-2.dsc
 06c5cfb74f04ea97fc4d85e94a02acfb 97254 misc optional live-helper_1.0.5-2.diff.gz
 9cb468306a2e640b799c702dad376eb7 2889936 misc optional live-helper_1.0.5-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqhWToACgkQ+C5cwEsrK54ZTACgrfb/5omREhheAXlvRvdUOGRN
DxAAnAvutEdgMlAcRFPnUmHnJA1HlnlH
=wWaw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Oct 2009 07:32:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:14:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.